cc.Class({
    extends: cc.Component,

    properties: {
        bg: {
            default: null,
            type: cc.Node,
            serializable: true,
        },
        confirm: {
            default: null,
            type: cc.Node,
            serializable: true,
        },
        hitText: {
            default: null,
            type: cc.Node,
            serializable: true,
        },
    },
    showHintStr(str)
    {
        this.bg.active = true;
        this.confirm.active = true;
        this.hitText.active = true;

        this.hitText.getComponent(cc.Label).string = str;

        this.scheduleOnce(function () {

            this.bg.active = false;
            this.confirm.active = false;
            this.hitText.active = false;
        },1);
    }
});
